Debian Bug report logs - #384852
Can't open '/etc/selinux/targeted/policy/policy.20': No such file or directory

version graph

Package: policycoreutils; Maintainer for policycoreutils is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for policycoreutils is src:policycoreutils.

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Sun, 27 Aug 2006 12:03:12 UTC

Severity: minor

Found in version policycoreutils/1.30.26-3

Fixed in version policycoreutils/1.30.28-1

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwe@debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#384852; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to uwe@debian.org, Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Can't open '/etc/selinux/targeted/policy/policy.20': No such file or directory
Date: Sun, 27 Aug 2006 13:48:03 +0200
[Message part 1 (text/plain, inline)]
Package: policycoreutils
Version: 1.30.26-3
Severity: grave

The '/etc/selinux/targeted/policy/policy.20' file/path SELinux looks for
when booting doesn't exist, it's either

 '/etc/selinux/refpolicy/src/policy/policy.20'

or probably

 '/etc/selinux/refpolicy-targeted/policy/policy.20'

as far as I know.


HTH, Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#384852; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@acm.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #10 received at 384852@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@acm.org>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 384852@bugs.debian.org
Subject: Re: Bug#384852: Can't open '/etc/selinux/targeted/policy/policy.20': No such file or directory
Date: Thu, 07 Sep 2006 10:13:25 -0500
Hi,

        This is a configuration issue. Edit /etc/selinux/config and
 set the SELINUXTYPE to refpolicy-targeted or refpolicy-targeted.  The
 next upload of policycoreutils will initialize a file with the right
 value.

        manoj
-- 
Then there was the Formosan bartender named Taiwan-On.
Manoj Srivastava   <srivasta@acm.org>  <http://www.datasync.com/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Severity set to `minor' from `grave' Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 384852-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 384852-close@bugs.debian.org
Subject: Bug#384852: fixed in policycoreutils 1.30.28-1
Date: Thu, 07 Sep 2006 10:17:09 -0700
Source: policycoreutils
Source-Version: 1.30.28-1

We believe that the bug you reported is fixed in the latest version of
policycoreutils, which is due to be installed in the Debian FTP archive:

policycoreutils_1.30.28-1.diff.gz
  to pool/main/p/policycoreutils/policycoreutils_1.30.28-1.diff.gz
policycoreutils_1.30.28-1.dsc
  to pool/main/p/policycoreutils/policycoreutils_1.30.28-1.dsc
policycoreutils_1.30.28-1_i386.deb
  to pool/main/p/policycoreutils/policycoreutils_1.30.28-1_i386.deb
policycoreutils_1.30.28.orig.tar.gz
  to pool/main/p/policycoreutils/policycoreutils_1.30.28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384852@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated policycoreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  7 Sep 2006 11:37:47 -0500
Source: policycoreutils
Binary: policycoreutils
Architecture: source i386
Version: 1.30.28-1
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 policycoreutils - SELinux core policy utilities
Closes: 384852
Changes: 
 policycoreutils (1.30.28-1) unstable; urgency=low
 .
   * New upstream point release
     * Merged fix for restorecon symlink handling from Erich Schubert.
     * Merged fix for restorecon // handling from Erich Schubert.
     * Merged translations update and fixfiles fix from Dan Walsh.
   * Fix the initial /etc/selinux/config to refer to
     SELINUXTYPE=refpolicy-targeted to match what we ship (as opposed to
     paths on red hat installations).
   * Bug fix: "Can't open '/etc/selinux/targeted/policy/policy.20': No such
     file or directory", thanks to Uwe Hermann            (Closes: #384852).
   * Add md5sums
   * With this version of policycoreutils, the file /etc/selinux/config
     shall have the variable SELINUXTYPE set to refpolicy-targeted (you may
     also set it to be refpolicy-strict or refpolicy-src). Only 1.30.26-3
     created the file with SELINUXTYPE set to targeted (which is
     appropriate on Red Hat machines and not Debian). We can't
     automatically change /etc/selinux/config (preserve user changes) since
     /etc/selinux/targeted/policy/policy.N might be a legitimate local
     security policy. If it is not, and if any of the files
     /etc/selinux/refpolicy-targeted/policy/policy.N,
     /etc/selinux/refpolicy-strict/policy/policy.N, or
     /etc/selinux/refpolicy-src/policy/policy.N exist, please select one
     for the  SELINUXTYPE variable in /etc/selinux/config
Files: 
 ea5c46dfb3def046f1eae8e9128bbfbd 702 utils optional policycoreutils_1.30.28-1.dsc
 a77424d7e756ac244ea07e454bc04453 230044 utils optional policycoreutils_1.30.28.orig.tar.gz
 4534d5f8fbfa1d096ad99816c56396fd 55265 utils optional policycoreutils_1.30.28-1.diff.gz
 7c560695f6cefdc7697e2634b7ac4109 351022 utils optional policycoreutils_1.30.28-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFAFDdIbrau78kQkwRAoEkAKDQoOGIBIu4+mNJhKXIU3tFGczACwCgragD
o/zTK9PB4zIVaDN/iV4wzjY=
=FxSo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:44:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:13:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.